View Issue Details

IDProjectCategoryView StatusLast Update
0021750LazarusOtherpublic2012-11-21 18:18
ReportergoldenfoxAssigned ToMartin Friebe 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target Version1.0.4Fixed in Version1.1 (SVN) 
Summary0021750: Under Windows, Uninstall icon/publisher/size are unknown in Control Panel > Uninstall a Program
DescriptionUninstall icon seems broken which can be fixed by adding the following to the install script:

UninstallDisplayIcon={uninstallexe}


Publisher and Size are missing too.
Additional InformationWindows 7 Ultimate 32bit
Please see attached screenshot
TagsNo tags attached.
Fixed in Revision39331
LazTarget1.0.4
WidgetsetWin32/Win64
Attached Files

Activities

2012-04-13 21:16

 

goldenfox.png (28,119 bytes)
goldenfox.png (28,119 bytes)

Martin Friebe

2012-11-21 18:18

manager   ~0063954

I added the explicit mention of the icon. According to my tests it did work before, but failed in a few cases involving multiply installations to different locations.

A added the publisher.

There is (afaik) nothing I can do about the size. It works here (Vista, but then Win7 was changed in that aspect). According to the inno docs, inno does calculate the size automatically, and creates the required registry entries on win 7. If it does not, I do not know why.
It must be noted that for 32bit installs inno 5.4 is used, and later versions can currently not be used.

Issue History

Date Modified Username Field Change
2012-04-13 21:16 goldenfox New Issue
2012-04-13 21:16 goldenfox File Added: goldenfox.png
2012-04-13 21:16 goldenfox Widgetset => Win32/Win64
2012-10-16 00:59 Maxim Ganetsky Project Patches => Lazarus
2012-10-16 01:14 Martin Friebe Status new => assigned
2012-10-16 01:14 Martin Friebe Assigned To => Martin Friebe
2012-11-21 18:18 Martin Friebe Fixed in Revision => 39331
2012-11-21 18:18 Martin Friebe LazTarget => 1.0.4
2012-11-21 18:18 Martin Friebe Status assigned => resolved
2012-11-21 18:18 Martin Friebe Fixed in Version => 1.1 (SVN)
2012-11-21 18:18 Martin Friebe Resolution open => fixed
2012-11-21 18:18 Martin Friebe Note Added: 0063954
2012-11-21 18:18 Martin Friebe Target Version => 1.0.4